Loading...
Searching...
No Matches
AVIAMFSubmix Struct Reference
libavutil » Audio related » Immersive Audio Model and Formats » Mix Presentation

Submix layout as defined in section 3.7 of IAMF. More...

`#include <libavutil/iamf.h>`

## Data Fields

const AVClass * | av_class
AVIAMFSubmixElement ** | elements
| Array of submix elements.
unsigned int | nb_elements
| Number of elements in the submix.
AVIAMFSubmixLayout ** | layouts
| Array of submix layouts.
unsigned int | nb_layouts
| Number of layouts in the submix.
AVIAMFParamDefinition * | output_mix_config
| Information required for post-processing the mixed audio signal to generate the audio signal for playback.
AVRational | default_mix_gain
| Default mix gain value to apply when there are no AVIAMFParamDefinition with output_mix_config's parameter_id available for a given audio frame.

## Detailed Description

Submix layout as defined in section 3.7 of IAMF.

Note
  The struct should be allocated with av_iamf_mix_presentation_add_submix() and its size is not a part of the public ABI.

Definition at line 552 of file iamf.h.

## Field Documentation

## av_class

const AVClass* AVIAMFSubmix::av_class

Definition at line 553 of file iamf.h.

## elements

AVIAMFSubmixElement** AVIAMFSubmix::elements

Array of submix elements.

Set by av_iamf_submix_add_element(), must not be modified by any other code.

Definition at line 561 of file iamf.h.

## nb_elements

unsigned int AVIAMFSubmix::nb_elements

Number of elements in the submix.

Set by av_iamf_submix_add_element(), must not be modified by any other code.

Definition at line 568 of file iamf.h.

## layouts

AVIAMFSubmixLayout** AVIAMFSubmix::layouts

Array of submix layouts.

Set by av_iamf_submix_add_layout(), must not be modified by any other code.

Definition at line 576 of file iamf.h.

## nb_layouts

unsigned int AVIAMFSubmix::nb_layouts

Number of layouts in the submix.

Set by av_iamf_submix_add_layout(), must not be modified by any other code.

Definition at line 583 of file iamf.h.

## output_mix_config

AVIAMFParamDefinition* AVIAMFSubmix::output_mix_config

Information required for post-processing the mixed audio signal to generate the audio signal for playback.

The type must be AV_IAMF_PARAMETER_DEFINITION_MIX_GAIN.

Definition at line 591 of file iamf.h.

## default_mix_gain

AVRational AVIAMFSubmix::default_mix_gain

Default mix gain value to apply when there are no AVIAMFParamDefinition with output_mix_config's parameter_id available for a given audio frame.

Definition at line 599 of file iamf.h.

The documentation for this struct was generated from the following file:

- libavutil/iamf.h